+ Post New Thread
Page 1 of 589 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 14725

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 51,591
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 56,309
    18th Sep 2006 10:46 pm Go to last post
  1. Replace blocks based off their attributes

    Hi, I'm new to autocad scripting and was looking for some advice. I have a block library I've built previously and data blocks being brought in with attributes. Is it possible to use something,...

    Started by Zifanite‎, Today 01:49 am
    • Replies: 2
    • Views: 30
    Today 05:03 am Go to last post
  2. Adding selection set Items to one set.

    (setq ss1 (ssget "C" pt1 pt2 '((0 . "LWPOLYLINE")))); add all lw polylines to ss set (setq ss2 (ssget "C" pt3 pt4 '((0 . "LWPOLYLINE")))); add all lw polylines to ss set How can I add all items in...

    Started by wimal‎, Yesterday 08:10 am
    • Replies: 5
    • Views: 119
    Today 04:21 am Go to last post
  3. Trying to create 2 lines, but autolisp randomly overplaces them. Why?

    Short version: I have a code that uses 4 commands to create 4 different lines. However, even if the points i give him are different, he sometimes places the lines over themselves. I have used...

    Started by ng80092a‎, 24th Oct 2016 12:59 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 248
    Today 04:16 am Go to last post
  4. New blockedit option (AutoCAD 2017)

    Hi guys, Quick question for smart people.. I noticed AutoCAD 2017 has a new feature in the blockediting function i use. Now it defaults on 'multiple mode'. Is this a setvar one can 'force'...

    Started by halam‎, Yesterday 09:39 pm
    • Replies: 0
    • Views: 57
    Yesterday 09:39 pm Go to last post
  5. Lisp: Copy in the space and paste in world ucs

    Im working in my second lisp. Its a very simple series of commands: with some objects rotate in a random space, the idea is to put the ucs with a face of the objects, copy them, return in the world...

    Started by Lukepeanuts‎, Yesterday 05:24 pm
    • Replies: 3
    • Views: 100
    Yesterday 07:44 pm Go to last post
  6. Differences in Dimention and Coordinate points

    Dear Masters, i have one lisp for exporting points. and i have cross checked in excel values differences and auto cad dimension.i observed many points with 0.01m differences. for example in auto...

    Started by pvsvprasad‎, Yesterday 04:12 pm
    • Replies: 5
    • Views: 100
    Yesterday 06:28 pm Go to last post
  7. Converting Lines To Polylines

    Is There Any Way To Convert Lines To Polylines By Selecting Them ?

    Started by MR MAN‎, 8th Jan 2009 08:48 am
    4 Pages
    1 2 3 ... 4
    • Replies: 36
    • Views: 21,764
    Yesterday 05:45 pm Go to last post
  8. Stip all text fields using Visual LISP - ObjectDBX

    So I am working on a program that would make use of Lee Mac's ObjectDBX Wrapper found at http://www.lee-mac.com/odbxbase.html. The purpose of the program is to strip all fields in text, mtext,...

    Started by broncos15‎, Yesterday 05:04 pm
    • Replies: 0
    • Views: 53
    Yesterday 05:04 pm Go to last post
  9. Lisp - circle

    Hy, im new in the forum and a rookie with lisp. Im trying to create a lisp, but it doesnt work. If somebody could help me, i will apreciate a lot. I need a lisp with a conditional, were i...

    Started by Lukepeanuts‎, 24th Oct 2016 08:11 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 198
    Yesterday 03:32 pm Go to last post
  10. Rename a text

    Hi friends Can you pls provide me a lips for following 1) rename my Drawing no from 001-5020 to MUP-001-5050 2) rename my drawing no MUP-001-5050 To 001-5050 in first lips just add MUP-...

    Started by hidxb123‎, Yesterday 06:04 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 182
    Yesterday 01:58 pm Go to last post
  11. square from center-point

    Hi All, I've got this simple lisp made up which draws a square from a center-point. I find this quite handy because alot of the time i need to draw a pad central to a column and using the normal...

    Started by masterfal‎, 24th Oct 2016 09:51 am
    • Replies: 6
    • Views: 223
    Yesterday 11:00 am Go to last post
  12. Block array integration problem...

    ... in some cases you need to array "dirty maked" blocks.. I mean you need to combine blocks array with change insertion point of the block and even to rotate it around base point. I "dirty"...

    Started by danglar‎, Yesterday 09:38 am
    • Replies: 0
    • Views: 57
    Yesterday 09:38 am Go to last post
  13. Request to combine two lisp functions

    Hello everybody, i found myself two lisps: - one shows me a field with the Area of a closed polyline. - one allows me to add a prefix of suffix to a text. What i need/want: Command that...

    Started by Aftertouch‎, Yesterday 08:58 am
    • Replies: 0
    • Views: 71
    Yesterday 08:58 am Go to last post
  14. Rectangles areas in real time

    Hello! Does anyone know a routine that enables provide real-time the sum of areas of rectangles as you draw consecutively?

    Started by teknomatika‎, 20th Oct 2016 05:54 pm
    • Replies: 9
    • Views: 460
    24th Oct 2016 10:42 pm Go to last post
  15. Dimension Text Direction & Position

    Hi Gents, Long time no pester!! I'm looking for a "easier" way of changing specific dimensions to read "right-to-left" and be positioned "below" the dim line. Due to mvsetup, when rotating...

    Started by Dave^‎, 24th Aug 2012 12:27 pm
    • Replies: 9
    • Views: 2,576
    24th Oct 2016 08:32 pm Go to last post
  16. Auto lisp routine to bisect a line and draw a line perpendicular from midpoint

    Hello All, I need to bisect a line and draw a line perpendicular from mid point and with user defined length using AUTO LISP routine? Your help is very much appreciated. Thanks rajesh

    Started by rvalusa22‎, 23rd Dec 2015 03:18 pm
    • Replies: 7
    • Views: 963
    24th Oct 2016 08:28 pm Go to last post
  17. Length of a polyline

    How can I get the length of a polyline by lisp.I could not find it in the assoc.list

    Started by wimal‎, 12th Oct 2016 02:54 pm
    • Replies: 6
    • Views: 306
    24th Oct 2016 08:19 pm Go to last post
  18. Troubleshooting of Lisp routine

    Hi all, I am having some problems with my lisp routine code. The goal is to pick two points and have an xline generated perpendicular to the angle between points, positioned based on a few...

    Started by MichaelAllfire‎, 11th Oct 2016 03:22 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 517
    24th Oct 2016 05:40 am Go to last post
  19. Help!. Count many Atributes in cad

    Hello everybody. I have a ploblem to count a many attributes in cad. Example: I have a rectangula duct with Height x Weight x Length. I want a lisp count Attributes with couple include: "Height x...

    Started by luongthevinh‎, 22nd Oct 2016 09:45 am
    • Replies: 4
    • Views: 290
    23rd Oct 2016 12:59 pm Go to last post
  20. Create snake line over a circle

    Hello, hope that someone can help me with my request. I want to draw a polyline over circle using 4 parameters. Basically the user should specify the center of the circle (1) , the radius...

    Started by 4o4osan‎, 18th Oct 2016 11:20 pm
    • Replies: 3
    • Views: 337
    23rd Oct 2016 09:18 am Go to last post
  21. Extruding a element after creating it - newb question

    I've wrote the following routine, that creates 2 polygons (defun c:fuste3d (/ pin altura dsup dinf nlados esp e2) (setq pin (getpoint "\nPonto de introducao: ")) (setq dinf (getint "\nDiametro...

    Started by ng80092a‎, 22nd Oct 2016 10:24 am
    • Replies: 2
    • Views: 188
    23rd Oct 2016 02:05 am Go to last post
  22. Filling the cells of a Table fast

    Hi everyone, I have a list with sub lists each containing 18 elements. When the sublists are many say 25, the formation of table take about 20 seconds with the following code: (setq row 2) (setq...

    Started by aloy‎, 21st Oct 2016 04:29 pm
    • Replies: 5
    • Views: 210
    22nd Oct 2016 10:55 am Go to last post
  23. Convert Whole Drawing from X-Y to X-Z by Lisp

    Hi All, How to convert my drawings from X-Y to X-Z by Lisp? please help. Thankyou.

    Started by structo‎, 21st Oct 2016 06:07 am
    • Replies: 5
    • Views: 285
    21st Oct 2016 11:49 pm Go to last post
  24. Changing a LISP setting

    Hello, I found this awesome Lisp by Lee Mac, I use it frequently, I just can't seem to pinpoint where i can change the source layer selection to a layer of my choice. Basically, I don't wish to...

    Started by PAWEL17‎, 18th Oct 2016 03:43 am
    • Replies: 2
    • Views: 263
    21st Oct 2016 06:22 pm Go to last post
  25. Rename current open file

    Hello, guys! I need a lisp to rename the current open file. I already have a routine that takes the current file name and creates a string with the new file name (Just six numbers in the old name...

    Started by andr3flaviano‎, 21st Oct 2016 12:01 pm
    (vl-rename-file), autocad, autolisp, file rename
    • Replies: 5
    • Views: 248
    21st Oct 2016 04:11 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts